Billing
Describe Billing
GET /v1/organizations/billing/describe?action=getorganization
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
Response
{
"status": 200,
"response": {
"organization": {
"resources": number,
"name"; "string",
"id": "string",
"owner": "string"
}
"subscription": {
"payment_exp": "string";
"plan": "string";
"quantity": "string";
}
}
}
Billing History
GET /v1/organizations/billing/history
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
QueryString
| Name | Type | Description |
|---|---|---|
| action=list_billing | string | Name of the user |
| org_id | string | The Organization ID |
Response
{
"status": 200,
"billing_history": [
{
"status": "paid | unpaid",
"id": "string",
"organization": "string",
"date": "string",
"due_date": "string",
"amount": "string"
}
]
}
Create subscription
POST /v1/organizations/billing/update?action=getpaymentlink
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Query String
| Name | Type | Description |
|---|---|---|
| org_id | string | The ID of the Organization |
| quantity | number | Number of Instances for subscribing |
Response
{
"status": 200,
"response": "string" (the payment Link)
}
Change payment method
POST /v1/organizations/billing/update?action=getupdatecardlink
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Payload
| Name | Type | Description |
|---|---|---|
| org_id | string | The Organization ID |
Response
{
"status": 200,
"response": "string" (the Link for the Update Payment operation)
}
Update Subscription
POST /v1/organizations/billing/update?action=updatesubscription
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Payload
| Name | Type | Description |
|---|---|---|
| org_id | string | The ID of the Organization |
| quantity | number | The number of instances for the Subscription |
Response
{
"status": 200
}
Cancel Subscription
POST /v1/organizations/billing/update?action=cancelsubscription
\
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
Body
| Name | Type | Description |
|---|---|---|
org_id |
string | The ID of the Organization |
Response
{
"status": 200,
}